import http from "@/api";
const USER = `/user`;
// 用户列表
export const getUserListApi = (params: any) => {
    return http.get<any>(`${USER}/index`, params);
};
// 用户详情
export const getUserListDetailsApi = (params: any) => {
    return http.get<any>(`${USER}/read/${params}`);
};
// 用户列表删除
export const getUserListDelApi = (params: any) => {
    return http.delete<any>(`${USER}/delete/${params}`);
};

// 用户列表更新
export const getUserListEditUpApi = (params: any) => {
    const { id } = params;
    return http.put<any>(`${USER}/update/${id}`, params);
};

//用户列表新增
export const getUserListSaveApi = (params: any) => {
    return http.post<any>(`${USER}/save`, params);
};
